﻿// Copyright 2010 Canonical Ltd.
// 
// This file is part of UbuntuOne on Windows.
// 
// UbuntuOne on Windows is free software: you can redistribute it and/or modify		
// it under the terms of the GNU Lesser General Public License version 		
// as published by the Free Software Foundation.		
//		
// Ubuntu One on Windows is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
// GNU Lesser General Public License for more details.	
//
// You should have received a copy of the GNU Lesser General Public License	
// along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
// 
// Authors: Manuel de la Peña <manuel.delapena@canonical.com>
namespace Canonical.UbuntuOne.Client.Preferences
{
    /// <summary>
    /// Interface to be implemented by those dialogs used tod isaply preferences.
    /// </summary>
    public interface IPreferencesDialogPresenter
    {
        /// <summary>
        /// Shows the dialog to the user.
        /// </summary>
        void Show();

        /// <summary>
        /// Updates the preferences that the user will use in the application.
        /// </summary>
        void UpdatePreferences();
    }
}
