import sys
from twisted.internet.protocol import Factory, Protocol, ClientFactory
from twisted.internet import reactor


class IPCServerProtocol(Protocol):
    """ """
    def dataReceived(self, data):
        print "doing something with: ",  data

class IPCServerFactory(Factory):
    """ """
    protocol = IPCServerProtocol


class IPCClientProtocol(Protocol):
    """ """
    
    def send(self, data):
        """ """
        self.transport.write("sending: %s" % data)


class IPCClientFactory(ClientFactory):
    """ """
    protocol = IPCClientProtocol


def main(server_port, client_port):
    reactor.listenTCP(server_port, IPCServerFactory())
    reactor.connectTCP("localhost", client_port, IPCClientFactory())
    reactor.run()

if __name__ == '__main__':
    args = sys.argv
    if len(args) < 3:
        server_port = 8007
        client_port = 8008
    else:    
        server_port = args[1]
        client_port = args[2]
    main(server_port, client_port)
