# Copyright 2010 Canonical Ltd.  All rights reserved.
"""
Parameters:

 - lastBuildDate
 - pubDate format
 - version
 - enclosure url
 - enclosure lenght
 - md5
 - uuid
"""

from string import Template


RSS_TEMPLATE = Template("""
<rss version="2.0" xmlns:as="http://appsyndication.org/schemas/appsyn">
  <channel>
    <title>Ubuntu One Windows Client</title>
    <generator>WiX Toolset's ClickThrough for Isolated Applications</generator>
    <lastBuildDate>$lastBuildDate</lastBuildDate>
    <ttl>1440</ttl>
    <as:application type="application/vnd.ms-msi">bd2e11b5-5e83-45e4-88cd-4f7c414d71c7</as:application>
    <item>
      <guid isPermaLink="false">urn:msi:bd2e11b5-5e83-45e4-88cd-4f7c414d71c7/$version</guid>
      <pubDate>$pubDate</pubDate>
      <title>Ubuntu One Windows Client</title>
      <description>Ubuntu One Windows Client</description>
      <as:application type="application/vnd.ms-msi">$uuid</as:application>
      <as:version>$version</as:version>
      <enclosure url="$url" length="$lenght" type="application/octet-stream" />
      <as:digest algorithm="md5">$md5</as:digest>
    </item>
  </channel>
</rss>
""")
